'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lib = require('../../lib');

var _EmptyMessage = require('./EmptyMessage');

var _EmptyMessage2 = _interopRequireDefault(_EmptyMessage);

var _Result = require('./Result');

var _Result2 = _interopRequireDefault(_Result);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  name: 'SuiSearchResults',
  components: { EmptyMessage: _EmptyMessage2.default, Result: _Result2.default },
  mixins: [_lib.SemanticUIVueMixin],
  props: {
    visible: {
      type: Boolean,
      default: false
    },
    source: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    query: {
      type: String,
      default: ''
    }
  },
  data: function data() {
    return {
      prevQuery: ''
    };
  },

  computed: {
    transitionClass: function transitionClass() {
      return this.visible ? 'in' : 'out';
    },
    results: function results() {
      var _this = this;

      var h = this.$createElement;

      var results = this.source.filter(function (item) {
        return item.name.toLowerCase().includes(_this.query !== '' ? _this.query.toLowerCase() : _this.prevQuery.toLowerCase());
      });
      return results.length ? results.map(function (item) {
        return h(_Result2.default, {
          attrs: { item: item }
        });
      }) : h(_EmptyMessage2.default);
    }
  },
  watch: {
    query: function query(_query) {
      if (_query !== '') this.prevQuery = _query;
    }
  },
  mounted: function mounted() {
    this.prevQuery = this.query;
  },
  render: function render() {
    var h = arguments[0];

    return h(
      'div',
      { 'class': this.classes('results', 'transition', 'scale', 'fade', 'visible', this.transitionClass) },
      [this.results]
    );
  }
};