'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _babelHelperVueJsxMergeProps = require('babel-helper-vue-jsx-merge-props');

var _babelHelperVueJsxMergeProps2 = _interopRequireDefault(_babelHelperVueJsxMergeProps);

var _lib = require('../../lib');

var _Results = require('./Results');

var _Results2 = _interopRequireDefault(_Results);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  name: 'SuiSearch',
  components: { Results: _Results2.default },
  mixins: [_lib.SemanticUIVueMixin],
  props: {
    value: {
      type: String,
      default: '',
      description: 'Value of the search'
    },
    source: {
      type: Array,
      default: function _default() {
        return [];
      },
      description: 'Specify a Javascript object which will be searched locally'
    },
    minCharacters: {
      type: Number,
      default: 1,
      descriptiom: 'Minimum characters to query for results'
    },
    input: {
      type: Boolean,
      default: false,
      description: 'Whether the search component should has input class.'
    }
  },
  data: function data() {
    return {
      focused: false,
      firstSearch: null
    };
  },

  computed: {
    resultsVisible: function resultsVisible() {
      return !!(this.value && this.value.length >= this.minCharacters && this.focused);
    }
  },
  watch: {
    value: function value() {
      this.checkFirstSearch();
    }
  },
  created: function created() {
    this.checkFirstSearch();
  },

  methods: {
    handleInput: function handleInput(event) {
      var eventValue = event.target.value;
      var value = this.type === 'number' ? Number(eventValue) : eventValue;
      this.$emit('input', value);
    },
    handleFocus: function handleFocus() {
      this.focused = true;
    },
    handleBlur: function handleBlur() {
      this.focused = false;
    },
    checkFirstSearch: function checkFirstSearch() {
      if (this.value && this.value.length >= this.minCharacters && this.firstSearch === null) {
        this.firstSearch = true;
      }
    },
    renderInput: function renderInput() {
      var h = this.$createElement;

      var input = h('input', (0, _babelHelperVueJsxMergeProps2.default)([{
        on: {
          'blur': this.handleBlur,
          'focus': this.handleFocus,
          'input': this.handleInput
        },
        domProps: {
          'value': this.value
        },

        'class': this.classes('prompt')
      }, { attrs: this.$attrs }]));
      input = this.input ? h(
        'div',
        { 'class': this.classes('ui', 'icon', 'input') },
        [input, this.$slots.icon]
      ) : input;

      return input;
    }
  },
  render: function render() {
    var h = arguments[0];

    var ElementType = this.getElementType();

    return h(
      ElementType,
      {
        'class': this.classes('ui', 'search') },
      [this.renderInput(), this.firstSearch && h(_Results2.default, {
        attrs: { query: this.value, source: this.source, visible: this.resultsVisible }
      })]
    );
  }
};